package com.sheep.gamegroup.absBase;

import com.sheep.gamegroup.util.TestUtil;
import com.sheep.jiuyan.samllsheep.utils.G;

import io.reactivex.Observer;
import io.reactivex.disposables.Disposable;

/**
 * Created by realicing on 2018/11/19.
 * realicing@sina.com
 */
public abstract class AbsObserver<T> implements Observer<T> {
    @Override
    public void onSubscribe(Disposable d) {

    }

    @Override
    public void onNext(T t) {

    }

    @Override
    public void onError(Throwable e) {
        if(TestUtil.isDev()) G.showToast(e.getMessage());
    }

    @Override
    public void onComplete() {

    }
}
